import Flutter
import UIKit

public class SwiftBmapFlutterPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let binaryMessenger = registrar.messenger()
    
    let factory = NativeViewFactory(messenger: binaryMessenger)
    
    registrar.register(factory, withId: "bmap-view")
  }
}
