part of bmap_flutter;

Future<bool> _checkLocationPermission() async {
  final status = await Permission.location.status;

  print(status);

  if (status == PermissionStatus.granted) {
    return true;
  }

  if (status == PermissionStatus.permanentlyDenied) {
    return false;
  }

  final s = await Permission.location.request();
  if (s == PermissionStatus.granted) return true;

  return false;
}
