import 'package:bmap_flutter/bmap_flutter.dart';
import 'package:flutter/material.dart';

class Index extends StatefulWidget {
  static const routeName = "/index";

  const Index({Key? key}) : super(key: key);

  @override
  _IndexState createState() => _IndexState();
}

class _IndexState extends State<Index> {
  PoiModel? _poiModel;
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Plugin example app'),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            TextButton(
                onPressed: () async {
                  final res = await BmapFlutter.pickLocation(
                      context: context,
                      iosAk: "htDbhbma47fpxsPp9BGncvKEwX5mb9lF");
                  _poiModel = res;
                  setState(() {});
                },
                child: Text("选择位置")),
            if (_poiModel != null) Text(_poiModel.toString())
          ],
        ),
      ),
    );
  }
}
