library bmap_flutter;

import 'dart:async';
import 'dart:convert';
import 'dart:io';
import 'dart:ui';

import 'package:adaptive_dialog/adaptive_dialog.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';
import 'package:flutter/services.dart';
import 'package:flutter/material.dart';
import 'package:permission_handler/permission_handler.dart';

part 'source/bmap-view.dart';
part 'source/pick-location.dart';
part 'source/cancel-button.style.dart';
part 'source/confirm-button.style.dart';
part 'source/pick-location-ui-framwork.dart';
part 'source/controllers/pick-location-controller.dart';
part 'source/check-permissions.dart';
part 'source/controllers/poi-model.dart';

class BmapFlutter {
  static Future<PoiModel?> pickLocation(
      {required BuildContext context, required String iosAk}) async {
    return await Navigator.of(context).push(MaterialPageRoute(
        builder: (_) => _PickLocation(
              iosAk: iosAk,
            )));
  }
}
