part of bmap_flutter;

class _CancelButtonStyle extends ButtonStyle {
  final BuildContext context;
  _CancelButtonStyle({required this.context});

  Color _getForegroundColor(Set<MaterialState> states) {
    return Colors.white;
  }

  Color _getOverlayColor(Set<MaterialState> states) {
    return Colors.grey.withOpacity(.5);
  }

  @override
  MaterialStateProperty<Color?>? get foregroundColor =>
      MaterialStateProperty.resolveWith((_getForegroundColor));

  @override
  MaterialStateProperty<Color?>? get overlayColor =>
      MaterialStateProperty.resolveWith((_getOverlayColor));
}
